Accepts either structured rows or raw csv text. Prompts that already exist are skipped, not duplicated.
POST
https://api.usenotra.com
/
v1
/
projects
/
{projectId}
/
geo
/
prompts
/
import
Bulk import GEO prompts
curl --request POST \
--url https://api.usenotra.com/v1/projects/{projectId}/geo/prompts/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rows": [
{
"prompt": "<string>",
"enabled": true
}
],
"csv": "<string>"
}
'import requests
url = "https://api.usenotra.com/v1/projects/{projectId}/geo/prompts/import"
payload = {
"rows": [
{
"prompt": "<string>",
"enabled": True
}
],
"csv": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rows: [{prompt: '<string>', enabled: true}], csv: '<string>'})
};
fetch('https://api.usenotra.com/v1/projects/{projectId}/geo/prompts/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"imported": 123,
"updated": 123,
"skipped": 123,
"issues": [
{
"line": 123,
"message": "<string>"
}
],
"organization": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"logo": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"limit": 2,
"remaining": 1,
"reset": 123
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}Authorizations
Send your API key in the Authorization header as Bearer API_KEY.
Path Parameters
Minimum string length:
1Pattern:
^[A-Za-z0-9_-]{1,100}$Example:
"b1f2c3d4-0000-4000-8000-000000000000"
Body
application/json
Last modified on September 18, 2026
Was this page helpful?
⌘I
Bulk import GEO prompts
